# Generated by go2rpm 1
# Require an Azure client
%bcond_with check

# https://github.com/Azure/azure-service-bus-go
%global goipath         github.com/Azure/azure-service-bus-go
Version:                0.11.5

%gometa

%global common_description %{expand:
Microsoft Azure Service Bus is a reliable cloud messaging service (MaaS) which
simplifies enterprise cloud messaging. It enables developers to build scalable
cloud solutions and implement complex messaging workflows over an efficient
binary protocol called AMQP.

This library provides a simple interface for sending, receiving and managing
Service Bus entities such as Queues, Topics and Subscriptions.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md changelog.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Golang library for Azure Service Bus

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/aad)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/auth)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/cbs)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/conn)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/rpc)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/sas)
BuildRequires:  golang(github.com/Azure/azure-amqp-common-go/v3/uuid)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/resources/mgmt/2017-05-10/resources)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/servicebus/mgmt/2017-04-01/servicebus)
BuildRequires:  golang(github.com/Azure/go-amqp)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/date)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/devigned/tab)
BuildRequires:  golang(github.com/joho/godotenv)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/stretchr/testify/suite)
BuildRequires:  golang(nhooyr.io/websocket)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/servicebus/mgmt/2015-08-01/servicebus)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 30 2023 W. Michael Petullo <mike@flyn.org> - 0.11.5-1
- Update to 0.11.5

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 0.10.12-6
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.12-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 21:26:36 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.12-1
- Update to 0.10.12
- Close: rhbz#1916965

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 19:32:04 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.7-1
- Update to 0.10.7
- Close: rhbz#1867933

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 23:09:12 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.3-1
- Update to 0.10.3

* Wed Jan 29 02:33:55 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 20 21:30:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.9.1-1
- Initial package
